# Doors
function chop:lobby/doors/entry_open
function chop:lobby/doors/exit_close
function chop:lobby/doors/base_close
scoreboard players set closeBaseDoor vars 0
execute positioned -15 101 1 as @e[tag=aj.door.root,sort=nearest,limit=1] run function door:animations/close/play
tag @e[type=item_display] remove stop_anim

# Player handling
title @a subtitle ""
stopsound @a
scoreboard players set @a ambient 0
tp @a 3 101 1.0 90 0
tag @a remove ready
effect clear @a
effect give @a saturation 1000000 100 true
effect give @a weakness 1000000 100 true
effect give @a resistance 1000000 100 true
effect give @a instant_health 1 100 true
xp set @a 0 levels
xp set @a 0 points
clear @a
gamemode adventure @a
team leave @a
tag @a remove spectate
function chop:game/start/remove_bossbars
tag @a remove in_base
kill @e[type=item]
recipe take @a *

# Spectator sign
setblock 0 101 5 air
setblock -1 102 4 minecraft:oak_wall_sign[facing=north,waterlogged=false]{Color:"black",GlowingText:0b,Text1:'{"bold":true,"color":"black","clickEvent":{"action":"run_command","value":"execute at @s run function chop:lobby/spectate"},"text":"Spectate"}',Text2:'{"text":""}',Text3:'{"color":"white","text":"(right-click)"}',Text4:'{"text":""}'}

# Scores
scoreboard players set inGame vars 0
scoreboard players reset tutorial vars
scoreboard players reset * insanity
scoreboard players reset * death
scoreboard objectives setdisplay belowName

# Kill AJ entities
execute as @e[tag=aj.light_spirit.root] at @s run function light_spirit:remove/this
execute as @e[tag=aj.chaos.root] at @s run function chaos:remove/this
execute as @e[tag=aj.spinner.root] at @s run function spinner:remove/this
execute as @e[tag=aj.spider.root] at @s run function spider:remove/this
execute as @e[tag=aj.ghost.root] at @s run function ghost:remove/this

# Misc
schedule clear chop:game/start/force_into_base
schedule clear chop:game/chaos/activate
schedule clear chop:game/chaos/open_door
schedule clear chop:game/tips
kill @e[tag=monster]
kill @e[type=item]
kill @e[tag=blood.pool]

# Lobby villagers for info board
function chop:lobby/info_board